/* Base Item Settings */
[data-flexitem]{
	-webkit-flex:0 0 auto;
	    -ms-flex:0 0 auto;
	        flex:0 0 auto;
}



/* Item Sizing */
[data-flexitem~="grow"]{
	-webkit-flex-grow:1;
	    -ms-flex-positive:1;
	        flex-grow:1;
}
[data-flexitem~="shrink"]{
	-webkit-flex-shrink:1;
	    -ms-flex-negative:1;
	        flex-shrink:1;
	min-height:0;
	min-width:0;
}



/* Item Self-Align */
[data-flexitem~="start"]{
	align-self: flex-start;
}
[data-flexitem~="end"]{
	align-self: flex-end;
}